[SA18885] webSPELL "search.php" SQL Injection Vulnerability

2006-02-16T00:00:00
ID SECURITYVULNS:DOC:11472
Type securityvulns
Reporter Securityvulns
Modified 2006-02-16T00:00:00

Description

TITLE: webSPELL "search.php" SQL Injection Vulnerability

SECUNIA ADVISORY ID: SA18885

VERIFY ADVISORY: http://secunia.com/advisories/18885/

CRITICAL: Moderately critical

IMPACT: Manipulation of data

WHERE: >From remote

SOFTWARE: webSPELL 4.x http://secunia.com/product/8086/

DESCRIPTION: x128 has discovered a vulnerability in webSPELL, which can be exploited by malicious people to conduct SQL injection attacks.

Input passed to the "title_op" parameter in search.php isn't properly sanitised before being used in a SQL query. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

The vulnerability has been confirmed in version 4.01.00. Prior versions may also be affected.

SOLUTION: Apply patch. http://www.webspell.org/index.php?site=files&file=4

PROVIDED AND/OR DISCOVERED BY: x128

ORIGINAL ADVISORY: http://www.webspell.org/index.php?site=news_comments&newsID=49&lang=en


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.